## firefox-esr 140.3.1esr

=== testing/condprofile/Makefile ===
HERE = $(shell pwd)
BIN = $(HERE)/bin
PYTHON = $(BIN)/python
INSTALL = $(BIN)/pip install --no-deps
BUILD_DIRS = bin build include lib lib64 man share
VIRTUALENV = virtualenv

.PHONY: all test build docs

all: build

$(PYTHON):
	$(VIRTUALENV) $(VTENV_OPTS) .

build: $(PYTHON)
	$(PYTHON) setup.py develop
	$(BIN)/pip install tox

test: build
	$(BIN)/tox

docs:  build
	$(BIN)/tox -e docs

=== testing/raptor/requirements.txt ===
mozcrash ~= 2.0
mozrunner ~= 8.3
mozprofile ~= 3.0
manifestparser >= 1.1
../tools/wptserve
../tools/wpt_third_party/h2
../tools/wpt_third_party/pywebsocket3
mozdevice >= 4.0.0
mozpower >= 1.0.0
mozversion >= 1.0
../condprofile
aiohttp==3.7.4.post0
https://pypi.pub.build.mozilla.org/pub/arsenic-21.8-py3-none-any.whl
requests==2.32.3
pyyaml==5.1.2
structlog==20.2.0

=== parser/html/java/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

libs:: translator

translator:: javaparser \
; mkdir -p htmlparser/bin && \
  find htmlparser/translator-src/nu/validator/htmlparser -name "*.java" | \
    xargs javac -cp javaparser.jar -g -d htmlparser/bin && \
  jar cfm translator.jar manifest.txt -C htmlparser/bin .

javaparser:: \
; mkdir -p javaparser/bin && \
  find javaparser/src -name "*.java" | \
    xargs javac -encoding ISO-8859-1 -g -d javaparser/bin && \
  jar cf javaparser.jar -C javaparser/bin .

sync_javaparser:: \
; if [ ! -d javaparser/.git ] ; \
    then rm -rf javaparser ; \
    git clone https://github.com/javaparser/javaparser.git ; \
  fi ; \
  cd javaparser ; git checkout javaparser-1.0.6 ; cd ..

sync_htmlparser:: \
; if [ -d htmlparser/.hg ] ; \
  then echo "The htmlparser repo has move to GitHub. Please remove the htmlparser directory and resync." ; exit ; \
  elif [ ! -d htmlparser/.git ] ; \
    then rm -rf htmlparser ; \
    git clone https://github.com/validator/htmlparser.git ; \
    cd htmlparser ; git checkout master ; cd .. ; \
  fi

sync:: sync_javaparser sync_htmlparser

translate:: translator \
; mkdir -p ../javasrc ; \
  java -jar translator.jar \
    htmlparser/src/nu/validator/htmlparser/impl \
    .. ../../../xpcom/ds/StaticAtoms.py ../../../xpcom/ds/HTMLAtoms.py

translate_from_snapshot:: translator \
; mkdir -p ../javasrc ; \
  java -jar translator.jar \
    ../javasrc \
    .. ../../../xpcom/ds/StaticAtoms.py ../../../xpcom/ds/HTMLAtoms.py

named_characters:: translator \
; java -cp translator.jar \
    nu.validator.htmlparser.generator.GenerateNamedCharactersCpp \
      named-character-references.html ../

=== testing/firefox-ui/harness/requirements.txt ===
marionette-harness >= 4.0.0
mozfile >= 1.2
mozinfo >= 0.8
mozinstall >= 1.12

=== testing/marionette/client/requirements.txt ===
mozrunner >= 7.4.0
mozversion >= 2.1.0
psutil==5.9.8; sys_platform == 'darwin'  # Bug 1887666: MacOS only for now
six

=== toolkit/components/telemetry/tests/marionette/harness/requirements.txt ===
marionette-harness >= 4.0.0
requests>=2.11.1

=== debian/changelog ===
firefox-esr (140.3.1esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 28 Sep 2025 10:04:44 +0200

firefox-esr (140.3.1esr-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Sep 2025 10:25:49 +0900

firefox-esr (140.3.0esr-2) unstable; urgency=medium

  * debian/upstream.mk, debian/control: Stop handling testing/unstable
    as trixie, meaning embedded NSS is not built anymore.
  * debian/rules:
    - Avoid running dwz on platforms where we disable debug info.
      Closes: #1115490
    - Stop setting _LEAKTEST_FILES, it hasn't been used since version 32.0.

 -- Mike Hommey <glandium@debian.org>  Thu, 18 Sep 2025 13:28:10 +0900

firefox-esr (140.3.0esr-1~deb11u2) bullseye-security; urgency=medium

  * Disable SVE2 support on arm64, it's not supported with our toolchain
    and libyuv is trying to use it by default, breaking the build.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 19 Sep 2025 09:26:20 +0200

firefox-esr (140.3.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.
  * Use LLVM 19.
  * Disable dwz.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 17 Sep 2025 12:36:27 +0200

firefox-esr (140.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-75, also known as:
    CVE-2025-10527, CVE-2025-10528, CVE-2025-10529, CVE-2025-10532,
    CVE-2025-10533, CVE-2025-10536, CVE-2025-10537.

 -- Mike Hommey <glandium@debian.org>  Wed, 17 Sep 2025 08:35:15 +0900

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options.
dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))

PYTHON := PYTHONDONTWRITEBYTECODE=y python3

PRODUCT := browser
include debian/upstream.mk
include /usr/share/dpkg/buildopts.mk

ifneq (,$(filter bullseye,$(DIST)))
PATH := /usr/lib/llvm-19/bin/:$(PATH)
endif

SYSTEM_LIBS = zlib ffi libevent
ifeq (,$(filter bullseye,$(DIST)))
SYSTEM_LIBS += nspr vpx
endif
ifeq (,$(filter bullseye bookworm trixie,$(DIST)))
SYSTEM_LIBS += nss
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

COMMON_CONFIGURE_FLAGS += --target=$(DEB_HOST_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --host=$(DEB_BUILD_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --prefix=/usr
COMMON_CONFIGURE_FLAGS += --enable-project=$(PRODUCT)

COMMON_CONFIGURE_FLAGS += $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$($(PRODUCT)))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

export MOZ_APP_REMOTINGNAME := $($(PRODUCT))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild

LDFLAGS += -Wl,--as-needed

# Disable debug symbols when building on 32-bits machines, because
# a) the rust compiler can't deal with it in the available address
# space, and b) the linker can't deal with it in the available address space
# either.
ifneq (64,$(DEB_BUILD_ARCH_BITS))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif
# Also disable them on riscv64, because linking takes so long that buildds
# kill the build after 420 minutes of "inactivity".
ifeq (riscv64,$(DEB_BUILD_ARCH))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif

CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter armel armhf arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif
ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --disable-webrtc
endif
ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --enable-linker=bfd
endif

ifeq ($(DIST),bullseye)
ifeq ($(DEB_HOST_ARCH),arm64)
	CXXFLAGS += -DLIBYUV_DISABLE_SVE
endif
endif

ifeq (default,$(origin CC))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CC := clang
else
ifeq ($(DIST),bookworm)
CC := gcc-11
else
CC := gcc
endif
endif
endif
ifeq (default,$(origin CXX))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CXX := clang++
else
ifeq ($(DIST),bookworm)
CXX := g++-11
else
CXX := g++
endif
endif
endif

# When using clang, the build system uses ld.lld instead of BFD ld.
ifeq (,$(findstring clang,$(CC)))
# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Work around https://sourceware.org/bugzilla/show_bug.cgi?id=30566
ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
endif
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
CONFIGURE_FLAGS += --disable-jit
endif

RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	PYTHONIOENCODING=utf-8 LC_ALL=C.UTF-8 $(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so\./ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): stamps/mozbuild-state
stamps/mozbuild-state::
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build -c ""

$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH DEB_HOST_ARCH_ENDIAN
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@

override_dh_auto_configure:

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \

## firefox-esr 140.4.0esr

=== debian/changelog ===
firefox-esr (140.4.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-83, also known as:
    CVE-2025-11708, CVE-2025-11709, CVE-2025-11710, CVE-2025-11711,
    CVE-2025-11712, CVE-2025-11714, CVE-2025-11715.

  * debian/watch: Refreshed. Somehow it was not refreshed for ESR.
  * debian/dh: Properly handle multiple DEB_BUILD_OPTIONS.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Oct 2025 08:55:29 +0900

firefox-esr (140.3.1esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.

  * media/libyuv/libyuv/libyuv.gyp: Disable SVE parts of libyuv when the
    SVE flags are not supported. Fixes FTBFS on arm64 on bookworm.
  * config/system-headers.mozbuild: Add a system header wrapper for
    sys/platform/ppc.h.: Fixes FTBFS on pc64el on bookworm.

  * debian/upstream.mk, debian/control: Stop handling testing/unstable
    as trixie, meaning embedded NSS is not built anymore.
  * debian/rules:
    - Avoid running dwz on platforms where we disable debug info.
      Closes: #1115490
    - Stop setting _LEAKTEST_FILES, it hasn't been used since version 32.0.
    - Disable rust LTO on s390x, hoping to fix FTBFS.

 -- Mike Hommey <glandium@debian.org>  Sat, 27 Sep 2025 09:57:32 +0900

=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libdrm-dev,
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libreadline-dev,
               python3 (>= 3.8),
               libnspr4-dev (>= 2:4.32~),
               libvpx-dev (>= 1.10.0),
               libdbus-1-dev,
               libffi-dev,
               libevent-dev,
               libpulse-dev,
               libasound2-dev,
               nasm (>= 2.14) [amd64 i386],
               rustc (>= 1.82),
               cargo (>= 1.82),
               llvm-dev,
               libclang-dev,
               clang,
               libc++-dev-wasm32,
               libclang-rt-dev-wasm32,
               lld,
               cbindgen (>= 0.27.0),
               nodejs (>= 12.22.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b esr140/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/esr140/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libnspr4 (>= 2:4.32~),
Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          pulseaudio
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.

Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-be, firefox-esr-l10n-bg, firefox-esr-l10n-bn, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-ca-valencia, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-ca, firefox-esr-l10n-en-gb, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fur, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-ia, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mk, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-my, firefox-esr-l10n-nb-no, firefox-esr-l10n-ne-np, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-oc, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-sat, firefox-esr-l10n-sc, firefox-esr-l10n-sco, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-skr, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-szl, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-tg, firefox-esr-l10n-th, firefox-esr-l10n-tl, firefox-esr-l10n-tr, firefox-esr-l10n-trs, firefox-esr-l10n-uk, firefox-esr-l10n-ur, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: firefox-esr-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Azerbaijani language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Azerbaijani.

Package: firefox-esr-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Belarusian.

Package: firefox-esr-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bulgarian.

Package: firefox-esr-l10n-bn
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Breaks: firefox-esr-l10n-bn-in (<< 68), firefox-esr-l10n-bn-bd (<< 68)
Replaces: firefox-esr-l10n-bn-in (<< 68), firefox-esr-l10n-bn-bd (<< 68)
Provides: firefox-esr-l10n-bn-in, firefox-esr-l10n-bn-bd
Description: Bengali language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bengali.

Package: firefox-esr-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Breton.

Package: firefox-esr-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bosnian.

Package: firefox-esr-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Catalan.

Package: firefox-esr-l10n-ca-valencia
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Catalan (Valencia) language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Catalan (Valencia).

Package: firefox-esr-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Kaqchikel language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Kaqchikel.

Package: firefox-esr-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-cs
Description: Czech language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Czech.

Package: firefox-esr-l10n-cy
Architecture: all
Section: localization
Depends: ${misc:Depends},

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/firefox/releases/([\d\.]+esr)/source/firefox-([\d\.]+esr)[\.-]source\.tar\.xz debian python3 debian/repack.py

## firefox-esr 140.5.0esr

=== debian/changelog ===
firefox-esr (140.5.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-88, also known as:
    CVE-2025-13012, CVE-2025-13016, CVE-2025-13017, CVE-2025-13018,
    CVE-2025-13019, CVE-2025-13013, CVE-2025-13020, CVE-2025-13014,
    CVE-2025-13015.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Nov 2025 07:25:00 +0900

## firefox-esr 140.6.0esr

=== debian/changelog ===
firefox-esr (140.6.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-94, also known as:
    CVE-2025-14321, CVE-2025-14322, CVE-2025-14323, CVE-2025-14324,
    CVE-2025-14325, CVE-2025-14328, CVE-2025-14329, CVE-2025-14330,
    CVE-2025-14331, CVE-2025-14333.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 Dec 2025 07:02:19 +0900

## firefox-esr 140.7.0esr

=== taskcluster/docker/snap-coreXX-build/snap-tests/requirements.txt ===
attrs==23.1.0
blessed==1.20.0
certifi==2023.7.22
exceptiongroup==1.1.3
h11==0.14.0
idna==3.4
mozfile==3.0.0
mozlog==8.0.0
mozterm==1.0.0
outcome==1.2.0
pillow==11.2.1
pixelmatch==0.3.0
PySocks==1.7.1
PyYAML==6.0.1
selenium==4.12.0
six==1.16.0
sniffio==1.3.0
sortedcontainers==2.4.0
trio==0.22.2
trio-websocket==0.10.4
urllib3==2.0.5
wcwidth==0.2.13
wsproto==1.2.0

=== debian/changelog ===
firefox-esr (140.7.0esr-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 60.3.0esr-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 05 Dec 2018 06:56:52 +0000]
  * Hack broken rust target selection so it produces the right target
    on raspbian.
  * Fix clean target.

  [changes introduce in 60.8.0esr-1+rpi1 by Peter Michael Green]
  * Use a fake homedir for build (Closes: 933757).

  [changes introduced in 68.2.0esr-1+rpi1 by Peter Michael Green]
  * Disable webrtc, it seems to fail to build on raspbian.
  * Try to disable Neon

  [changes introduced in 78.3.0esr-2+rpi1 by Peter Michael Green]
  * Clean up pycache directories.
  * Disable neon in qcms.

  [changes brought over from thunderbird 1:91.3.2-1+rpi1 by Peter Michael Green]
  * Use a #define instead of a typedef for double_t in fdlibm to prevent conflicting
    definitions error.

  [changes brought over from thunderbird 1:102.1.1-1+rpi1 by Peter Michael Green]
  * Disable more armv7/neon stuff.

  [changes introduced in 102.2.0esr-1+rpi1 by Peter Michael Green]
  * Disable jit (or at least try to)
    + Pass disable-jit from debian/rules
    + Nerf jit detection in s/moz.configure

  [changes introduced in 115.3.0esr-1+rpi1 by Peter Michael Green]
  * Disable conflicting include in js/src/jit/shared/AtomicOperations-shared-jit.cpp

  [changes introduced in 128.11.0esr-1+rpi1 by Peter Michael Green]
  * Update rust target hack to accomodate changes in upstream target selection.
  * Workaround asm bug with bx lr (see: https://github.com/EmbarkStudios/crash-handling/issues/5)

 -- Peter Micheal Green <plugwash@raspbian.org>  Thu, 12 Feb 2026 14:17:18 +0000

firefox-esr (140.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2026-03, also known as:
    CVE-2026-0877, CVE-2026-0878, CVE-2026-0879, CVE-2026-0880,
    CVE-2026-0882, CVE-2025-14327, CVE-2026-0883, CVE-2026-0884,
    CVE-2026-0885, CVE-2026-0886, CVE-2026-0887, CVE-2026-0890,
    CVE-2026-0891.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jan 2026 08:04:40 +0900

firefox-esr (140.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-94, also known as:
    CVE-2025-14321, CVE-2025-14322, CVE-2025-14323, CVE-2025-14324,
    CVE-2025-14325, CVE-2025-14328, CVE-2025-14329, CVE-2025-14330,
    CVE-2025-14331, CVE-2025-14333.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 Dec 2025 07:02:19 +0900

firefox-esr (140.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-88, also known as:
    CVE-2025-13012, CVE-2025-13016, CVE-2025-13017, CVE-2025-13018,
    CVE-2025-13019, CVE-2025-13013, CVE-2025-13020, CVE-2025-13014,
    CVE-2025-13015.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Nov 2025 07:25:00 +0900

firefox-esr (140.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-83, also known as:
    CVE-2025-11708, CVE-2025-11709, CVE-2025-11710, CVE-2025-11711,
    CVE-2025-11712, CVE-2025-11714, CVE-2025-11715.

  * debian/watch: Refreshed. Somehow it was not refreshed for ESR.
  * debian/dh: Properly handle multiple DEB_BUILD_OPTIONS.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Oct 2025 08:55:29 +0900

firefox-esr (140.3.1esr-2) unstable; urgency=medium

  * media/libyuv/libyuv/libyuv.gyp: Disable SVE parts of libyuv when the
    SVE flags are not supported. Fixes FTBFS on arm64 on bookworm.
  * config/system-headers.mozbuild: Add a system header wrapper for
    sys/platform/ppc.h.: Fixes FTBFS on pc64el on bookworm.

  * debian/rules: Disable rust LTO on s390x, hoping to fix FTBFS.

 -- Mike Hommey <glandium@debian.org>  Sat, 27 Sep 2025 09:57:32 +0900

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export HOME=$(CURDIR)/fakehome
+
 TESTDIR = $(shell dh_testdir || echo no)
 ifeq (,$(TESTDIR))
 include debian/make.mk
@@ -23,10 +25,6 @@
 include debian/upstream.mk
 include /usr/share/dpkg/buildopts.mk
 
-ifneq (,$(filter bullseye,$(DIST)))
-PATH := /usr/lib/llvm-19/bin/:$(PATH)
-endif
-
 SYSTEM_LIBS = zlib ffi libevent
 ifeq (,$(filter bullseye,$(DIST)))
 SYSTEM_LIBS += nspr vpx
@@ -114,17 +112,11 @@
 ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
 	CRASH_REPORTER = 1
 endif
-ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
+ifneq (,$(filter armhf mips%,$(DEB_HOST_ARCH)))
 	CONFIGURE_FLAGS += --disable-webrtc
 endif
 ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
 	CONFIGURE_FLAGS += --enable-linker=bfd
-endif
-
-ifeq ($(DIST),bullseye)
-ifeq ($(DEB_HOST_ARCH),arm64)
-	CXXFLAGS += -DLIBYUV_DISABLE_SVE
-endif
 endif
 
 ifeq (default,$(origin CC))
@@ -164,9 +156,9 @@
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
-ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+#ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
 CONFIGURE_FLAGS += --disable-jit
-endif
+#endif
 
 RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.
 
@@ -205,9 +197,15 @@
 	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
 
 override_dh_auto_configure:
+	mkdir -p fakehome
 
 stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
 	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
+	$$1 ~ /system-/ { \
+		if (! $$2) { \
+			print FILENAME ": Missing variable for",$$1; \
+			error=1; \
+		} else { \

## firefox-esr 140.8.0esr

=== debian/changelog ===
firefox-esr (140.8.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2026-15, also known as:
    CVE-2026-2757, CVE-2026-2758, CVE-2026-2759, CVE-2026-2760,
    CVE-2026-2761, CVE-2026-2762, CVE-2026-2763, CVE-2026-2764,
    CVE-2026-2765, CVE-2026-2766, CVE-2026-2767, CVE-2026-2768,
    CVE-2026-2769, CVE-2026-2770, CVE-2026-2771, CVE-2026-2772,
    CVE-2026-2773, CVE-2026-2774, CVE-2026-2775, CVE-2026-2777,
    CVE-2026-2778, CVE-2026-2779, CVE-2026-2780, CVE-2026-2781,
    CVE-2026-2782, CVE-2026-2783, CVE-2026-2784, CVE-2026-2785,
    CVE-2026-2786, CVE-2026-2787, CVE-2026-2788, CVE-2026-2789,
    CVE-2026-2790, CVE-2026-2791, CVE-2026-2792, CVE-2026-2793.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Feb 2026 11:00:38 +0900

firefox-esr (140.7.0esr-1~deb13u1) trixie-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2026-03, also known as:
    CVE-2026-0877, CVE-2026-0878, CVE-2026-0879, CVE-2026-0880,
    CVE-2026-0882, CVE-2025-14327, CVE-2026-0883, CVE-2026-0884,
    CVE-2026-0885, CVE-2026-0886, CVE-2026-0887, CVE-2026-0890,
    CVE-2026-0891.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jan 2026 08:04:40 +0900
